EDIT - bug #8205

SpecimenTypeDesignationsEditor: First selection of mediaReference gets lost
03/22/2019 04:35 PM - Wolf-Henning Kusber

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Permanent bug:
Image Reference is selected for the first time -> selected but not gets lost when clicking in another field.
Image Reference is selected for the second time -> selected but mersists when clicking in another field.

Solutions:
(1) Mouse over: Please select the reference 2 times, otherwise it will be not saved (not preferred)
(2) Fix the bug (preferred)

Associated revisions

Revision 866975ac - 04/26/2019 03:32 PM - Andreas Kohlbecker

ref #8205 clening up: removing duplicate application of the ReferenceEllypsisCaptionGenerator and minor cleaning

History

#1 - 03/25/2019 08:30 AM - Andreas Kohlbecker

- Subject changed from Vaadin selection of image Reference in TypeSpecimens Typedesignations Editor to TypeDesignationsEditor: Newly selected
image Reference in TypeSpecimens is not saved

#2 - 03/29/2019 08:28 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

#3 - 04/11/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#4 - 04/26/2019 03:18 PM - Andreas Kohlbecker

- Subject changed from TypeDesignationsEditor: Newly selected image Reference in TypeSpecimens is not saved to
SpecimenTypeDesignationsEditor: Fist selection of mediaReference gets lost

- Description updated
This is a tough nut to crack, since this appens only for the mediaReference field.
There is no obvious difference to the collection field in the same row of the type designations list editor.

The pobelms comes from that the value is not being set after selecting a reference. At the time when the value change listeners are triggered the
value of the nested select is still null.

#5 - 04/26/2019 03:30 PM - Andreas Kohlbecker
- Priority changed from Highest to Priority14

This problem could disappear when turning the list editor in to a data grid as planned anyway.
#6 - 04/26/2019 05:29 PM - Wolf-Henning Kusber

When | copy the reference detail into the respective field, | can select the reference and save it. Than the reference detail is lost, but | copy it again.
Do not know if this workaround helps in solving this problem.
#7 - 05/03/2019 02:59 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#8 - 07/19/2019 03:07 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#9 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#10 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#11 - 01/16/2020 11:52 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.14

#12 - 04/08/2020 03:52 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#13 - 06/23/2020 02:00 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#14 - 12/01/2020 03:03 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#15 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#16 - 03/10/2021 02:53 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#17 - 04/19/2021 04:16 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25
#18 - 07/09/2021 10:38 AM - Andreas Miiller
- Subject changed from SpecimenTypeDesignationsEditor: Fist selection of mediaReference gets lost to SpecimenTypeDesignationsEditor: First

selection of mediaReference gets lost

#19 - 07/09/2021 10:38 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
